

//
// Core Program for TETDM 
// PopUpForData.java Version 1.00
// Copyright(C) 2015-2018 TETDM CORE MEMBER ALL RIGHTS RESERVED.
// This program is provided under the license.
//

package source.GameMode;

import source.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.JFrame;

public class PopUpForData extends JFrame
{
	DataPanel dataPanel;
	Container pane = getContentPane();	
		
	PopUpForData(int X, int Y, int width, int height, Control control)
	{
		super("Data");
		pane.setLayout(new BorderLayout());
		
		setBounds(X, Y, width, height);
//		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		
		setAlwaysOnTop(true);
		pane.setBackground(Color.white);
//		setUndecorated(true);
		
		dataPanel = new DataPanel(control, this);
		this.addWindowListener(new MyWindowListener());
		pane.add(dataPanel);		
		setVisible(true);
	}
	
	class MyWindowListener extends WindowAdapter {
		public void windowClosing(WindowEvent e) 
		{
			//System.out.println("windowClosing");
			
			dataPanel.closeWindow();
		}
	}
}
